curl --request PUT \
--url https://api.sellauth.com/v1/shops/{shopId}/products/{productId}/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "addon",
"name": "asyzwszwtxpeqqi",
"currency": "on",
"visibility": "on_hold",
"product_addons": [
"culpa"
],
"product_upsells": [
"culpa"
],
"path": "8",
"category_id": null,
"description": "Accusamus nihil repellat vero omnis voluptates id amet et.",
"meta_title": "qikymwkiinfowtz",
"meta_description": "mixkolowyuffszf",
"meta_image_id": null,
"meta_twitter_card": "summary_large_image",
"instructions": "csnwwxvxezhebdr",
"out_of_stock_message": "xkpiypmuihrdife",
"thank_you_message": "kzagqzitsslufxb",
"tax_inclusive": false,
"deliverables_type": "serials",
"requires_fulfillment": false,
"custom_fields_after_payment": true,
"group_id": null,
"image_ids": null,
"discord_required": false,
"required_discord_guild_id": "dnacixfxgsmpbol",
"required_discord_role_id": "pwypthgxnkysmpo",
"hide_stock_count": true,
"cashback_percentage": 20,
"payment_method_fee_overrides": [
14
],
"reseller_enabled": true,
"reseller_disable_volume_discount": true,
"status_color": "wnubzpcclwldce",
"status_text": "qpnviyqjogqswwh",
"show_views_count": false,
"show_sales_count": false,
"show_sales_notifications": false,
"sales_count_hours": 6.5279,
"feedback_coupon_config": null,
"deliverables_label": "qikymwkiinfowtz",
"metadata": "mixkolowyuffszf",
"is_mandatory": false,
"custom_fields": [
"culpa"
],
"product_tabs": "asyzws",
"product_badges": "zwtxpe",
"variants": "asyzwszwtxpeqqikymwkiinfowtzmixkolowyuffszfrcsnwwxvxe"
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/products/{productId}/update"
payload = {
"type": "addon",
"name": "asyzwszwtxpeqqi",
"currency": "on",
"visibility": "on_hold",
"product_addons": ["culpa"],
"product_upsells": ["culpa"],
"path": "8",
"category_id": None,
"description": "Accusamus nihil repellat vero omnis voluptates id amet et.",
"meta_title": "qikymwkiinfowtz",
"meta_description": "mixkolowyuffszf",
"meta_image_id": None,
"meta_twitter_card": "summary_large_image",
"instructions": "csnwwxvxezhebdr",
"out_of_stock_message": "xkpiypmuihrdife",
"thank_you_message": "kzagqzitsslufxb",
"tax_inclusive": False,
"deliverables_type": "serials",
"requires_fulfillment": False,
"custom_fields_after_payment": True,
"group_id": None,
"image_ids": None,
"discord_required": False,
"required_discord_guild_id": "dnacixfxgsmpbol",
"required_discord_role_id": "pwypthgxnkysmpo",
"hide_stock_count": True,
"cashback_percentage": 20,
"payment_method_fee_overrides": [14],
"reseller_enabled": True,
"reseller_disable_volume_discount": True,
"status_color": "wnubzpcclwldce",
"status_text": "qpnviyqjogqswwh",
"show_views_count": False,
"show_sales_count": False,
"show_sales_notifications": False,
"sales_count_hours": 6.5279,
"feedback_coupon_config": None,
"deliverables_label": "qikymwkiinfowtz",
"metadata": "mixkolowyuffszf",
"is_mandatory": False,
"custom_fields": ["culpa"],
"product_tabs": "asyzws",
"product_badges": "zwtxpe",
"variants": "asyzwszwtxpeqqikymwkiinfowtzmixkolowyuffszfrcsnwwxvxe"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'addon',
name: 'asyzwszwtxpeqqi',
currency: 'on',
visibility: 'on_hold',
product_addons: ['culpa'],
product_upsells: ['culpa'],
path: '8',
category_id: null,
description: 'Accusamus nihil repellat vero omnis voluptates id amet et.',
meta_title: 'qikymwkiinfowtz',
meta_description: 'mixkolowyuffszf',
meta_image_id: null,
meta_twitter_card: 'summary_large_image',
instructions: 'csnwwxvxezhebdr',
out_of_stock_message: 'xkpiypmuihrdife',
thank_you_message: 'kzagqzitsslufxb',
tax_inclusive: false,
deliverables_type: 'serials',
requires_fulfillment: false,
custom_fields_after_payment: true,
group_id: null,
image_ids: null,
discord_required: false,
required_discord_guild_id: 'dnacixfxgsmpbol',
required_discord_role_id: 'pwypthgxnkysmpo',
hide_stock_count: true,
cashback_percentage: 20,
payment_method_fee_overrides: [14],
reseller_enabled: true,
reseller_disable_volume_discount: true,
status_color: 'wnubzpcclwldce',
status_text: 'qpnviyqjogqswwh',
show_views_count: false,
show_sales_count: false,
show_sales_notifications: false,
sales_count_hours: 6.5279,
feedback_coupon_config: null,
deliverables_label: 'qikymwkiinfowtz',
metadata: 'mixkolowyuffszf',
is_mandatory: false,
custom_fields: ['culpa'],
product_tabs: 'asyzws',
product_badges: 'zwtxpe',
variants: 'asyzwszwtxpeqqikymwkiinfowtzmixkolowyuffszfrcsnwwxvxe'
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/products/{productId}/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Update Product
Updates a product.
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Body
variant, addon "addon"
Must not be greater than 255 characters.
"asyzwszwtxpeqqi"
Must not be greater than 3 characters.
"on"
public, unlisted, private, on_hold "on_hold"
["culpa"]
["culpa"]
Must match the regex /^[a-z0-9-]+$/.
"8"
null
Must not be greater than 65535 characters.
"Accusamus nihil repellat vero omnis voluptates id amet et."
Must not be greater than 255 characters.
"qikymwkiinfowtz"
Must not be greater than 65535 characters.
"mixkolowyuffszf"
null
summary, summary_large_image "summary_large_image"
Must not be greater than 65535 characters.
"csnwwxvxezhebdr"
Must not be greater than 65535 characters.
"xkpiypmuihrdife"
Must not be greater than 65535 characters.
"kzagqzitsslufxb"
false
serials, service, files, dynamic, physical "serials"
false
true
null
null
false
This field is required when required_discord_role_id is present. Must not be greater than 255 characters.
"dnacixfxgsmpbol"
This field is required when required_discord_guild_id is present. Must not be greater than 255 characters.
"pwypthgxnkysmpo"
true
Must be at least 0. Must not be greater than 100.
20
Must be at least -50. Must not be greater than 50.
[14]
true
true
Must not be greater than 24 characters.
"wnubzpcclwldce"
Must not be greater than 255 characters.
"qpnviyqjogqswwh"
false
false
false
6.5279
Show child attributes
Show child attributes
null
Must not be greater than 255 characters.
"qikymwkiinfowtz"
Must not be greater than 65535 characters.
"mixkolowyuffszf"
false
["culpa"]
Must not have more than 10 items.
"asyzws"
Must not have more than 10 items.
"zwtxpe"
This field is required when type is variant. Must have at least 1 items.
"asyzwszwtxpeqqikymwkiinfowtzmixkolowyuffszfrcsnwwxvxe"